import { defineColumns } from '@bole-core/components';
import { AppType, isJYB } from '@/constants';

export const HomeColumns = defineColumns([
  {
    id: '1',
    enCode: 'channel',
    name: '渠道',
    width: 160,
  },
  AppType === 'rz' && {
    id: '2',
    enCode: 'salesmanName',
    name: '业务员姓名',
    width: 160,
  },
  {
    id: '3',
    enCode: 'name',
    name: '姓名',
    width: 160,
  },
  {
    id: '4',
    enCode: 'idNumber',
    name: '身份证号',
    width: 200,
  },
  {
    id: '5',
    enCode: 'workType',
    name: '雇员工种',
    width: 160,
  },
  {
    id: '6',
    enCode: 'laborContractEnterprise',
    name: '劳动合同单位',
    width: 160,
  },
  {
    id: '7',
    enCode: 'workEnterprise',
    name: '实际工作单位',
    width: 160,
  },
  isJYB && {
    id: '8',
    enCode: 'workAddress',
    name: '用工地点',
    width: 160,
  },
  {
    id: '9',
    enCode: 'insuranceBeginTime',
    name: '保险起期',
    width: 160,
  },
  {
    id: '10',
    enCode: 'insuranceEndTime',
    name: '保险止期',
    width: 160,
  },
  {
    id: '11',
    enCode: 'insuredInstitution',
    name: '参保机构',
    width: 160,
  },
  {
    id: '12',
    enCode: 'insuranceScheme',
    name: '投保方案',
    width: 160,
  },
  isJYB && {
    id: '13',
    enCode: 'insuranceType',
    name: '投保方式',
    width: 160,
  },
  (AppType === 'rz' || isJYB) && {
    id: '14',
    enCode: 'orderNo',
    name: '保单号',
    width: 160,
  },
  {
    id: '15',
    enCode: 'onJobFlag',
    name: '在职标识',
    width: 160,
  },
  {
    id: '16',
    enCode: 'gender',
    name: '性别',
    width: 160,
  },
  {
    id: '17',
    enCode: 'age',
    name: '年龄',
    width: 160,
  },
  AppType !== 'other' && {
    id: '18',
    enCode: 'idCardCheckResult',
    name: '身份证校验',
    width: 160,
  },
  AppType !== 'other' && {
    id: '19',
    enCode: 'idCardRepeatResult',
    name: '身份证是否重复',
    width: 160,
  },
  {
    id: '20',
    enCode: 'premiumAmount',
    name: '保费',
    width: 160,
  },
  {
    id: '21',
    enCode: 'incDecAmount',
    name: '增减费用',
    width: 160,
  },

  {
    id: '20',
    enCode: 'createTime',
    name: '导入日期',
    width: 160,
  },
]).filter(Boolean);
